Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.remote
Class ConnectionNotificationEmitter

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          mx4j.remote.ConnectionNotificationEmitter

All Implemented Interfaces:
  javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class ConnectionNotificationEmitter
extends javax.management.NotificationBroadcasterSupport

Version:
  $Revision: 1.4 $

Constructor Summary
`ConnectionNotificationEmitter(javax.management.remote.JMXConnector connector)`

Method Summary
`void` | `sendConnectionNotificationClosed()`
`void` | `sendConnectionNotificationFailed()`
`void` | `sendConnectionNotificationLost(long howMany)`
`void` | `sendConnectionNotificationOpened()`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionNotificationEmitter

    public ConnectionNotificationEmitter(javax.management.remote.JMXConnector connector)

Method Detail

### sendConnectionNotificationOpened

    public void sendConnectionNotificationOpened()

### sendConnectionNotificationClosed

    public void sendConnectionNotificationClosed()

### sendConnectionNotificationFailed

    public void sendConnectionNotificationFailed()

### sendConnectionNotificationLost

    public void sendConnectionNotificationLost(long howMany)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.